# Class StopPooledThreadException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.tomcat.util.threads.StopPooledThreadException

All Implemented Interfaces:
  `Serializable`

public class StopPooledThreadException extends RuntimeException
A custom `RuntimeException` thrown by the `ThreadPoolExecutor` to signal that the thread should be disposed of.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StopPooledThreadException(String msg)`
Creates a new StopPooledThreadException.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StopPooledThreadException

public StopPooledThreadException(String msg)
Creates a new StopPooledThreadException.

Parameters:
  `msg` - the detail message